$ !!! ======================================================================
$ !!!  @VAX-VMS-shell{
$ !!!     filename        = "make-vms.com",
$ !!!     version         = "1.0",
$ !!!     date            = "5 November 1993",
$ !!!     time            = "09:23:09.69 CST",
$ !!!     author          = "George D. Greenwade",
$ !!!     address         = "Department of Economics and Business Analysis
$ !!!                        College of Business Administration
$ !!!                        P. O. Box 2118
$ !!!                        Sam Houston State University
$ !!!                        Huntsville, Texas, USA 77341-2118",
$ !!!     e-mail          = "bed_gdg@SHSU.edu (Internet)
$ !!!                        SHSU::BED_GDG    (THENET)",
$ !!!     telephone       = "(409) 294-1266",
$ !!!     FAX             = "(409) 294-3712",
$ !!!     supported       = "yes",
$ !!!     archived        = "SHSU*",
$ !!!     keywords        = "ZMODEM, RZ, SZ, Gopher, DCL command file",
$ !!!     codetable       = "ISO/ASCII",
$ !!!     checksum        = "30361 84 447 3073",
$ !!!     docstring       = "This is the DCL command shell which compiles
$ !!!                        and links RZ and SZ for VMS.
$ !!!
$ !!!                        The checksum field above contains a CRC-16
$ !!!                        checksum as the first value, followed by the
$ !!!                        equivalent of the standard UNIX wc (word
$ !!!                        count) utility output of lines, words, and
$ !!!                        characters.  This is produced by Robert
$ !!!                        Solovay's checksum utility."
$ !!! }
$ !!! ======================================================================
$ on error then exit
$ say := write sys$output
$ ask := read sys$command/prompt=
$ if p1 .eqs. "LINK_ONLY" then goto link_routine
$COMPILE_ROUTINE:
$ prog := sz.c
$ gosub compile
$ prog := rz.c
$ gosub compile
$ prog := vvmodem.c
$ gosub compile
$ say "Sources compiled."
$ if p1 .eqs. "COMPILE_ONLY"
$  then
$    say "Linking not requested, use @MAKE-VMS LINK_ONLY to link."
$    exit
$ endif
$LINK_ROUTINE:
$ prog := SZ
$ obj_list := sz,vvmodem
$ gosub link
$ prog := RZ
$ obj_list := rz,vvmodem
$ gosub link
$ say "Objects linked."
$ goto cleanup
$COMPILE:
$ say "Compiling ''prog'..."
$ cc 'prog
$ return
$LINK:
$ say "Linking ''prog'..."
$ link 'obj_list ,sys$library:vaxcrtl.olb/lib
$ return
$CLEANUP:
$ say "To use SZ and RZ, copy the executables to a common directory, say"
$ say " SYS$COM, which has executable access for both file and directory."
$ say " Next, define the foreign commands:"
$ say " SZ :== $SYS$COM:SZ"
$ say " RZ :== $SYS$COM:RZ"
$ say " To send the file FILE.EXT with ZMODEM protocol, use SZ FILE.EXT"
$ say " and to receive a file with ZMODEM protocol, use RZ"
$ say " SZ without a FILE.EXT will return a menu of options."
$ if p1 .nes. "LINK_ONLY"
$  then
$   ask "Delete OBJect files? " objdel
$   if objdel then delete/noconfirm/log sz.obj;*,rz.obj;*,vvmodem.obj;*
$ endif
$ exit
$PROBLEM:
$ say "Problem somewhere, ooooops."
$ exit
